# ZMQPoll::remove

(PECL zmq >= 0.5.0)

ZMQPoll::remove — Remove item from poll set

### Description

public ZMQPoll::remove ( mixed `$item` ) : bool

Remove item from the poll set. The `item` parameter can be ZMQSocket object, a stream resource or the id returned from ZMQPoll::add() method.

### Parameters

`item`

  The ZMQSocket object, PHP stream or string id of the item.

### Return Values

Returns true if the item was removed and false if the object with given id does not exist in the poll set.